Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Interface IPersistentPreferenceStore

All Superinterfaces:
  IPreferenceStore

All Known Implementing Classes:
  PreferenceStore

public interface IPersistentPreferenceStore
extends IPreferenceStore

IPersistentPreferenceStore is a preference store that can be saved.

Field Summary

Fields inherited from interface org.eclipse.jface.preference.IPreferenceStore
`BOOLEAN_DEFAULT_DEFAULT, DOUBLE_DEFAULT_DEFAULT, FALSE, FLOAT_DEFAULT_DEFAULT, INT_DEFAULT_DEFAULT, LONG_DEFAULT_DEFAULT, STRING_DEFAULT_DEFAULT, TRUE`

Method Summary
`void` | `save()` Saves the non-default-valued preferences known to this preference store to the file from which they were originally loaded.

Methods inherited from interface org.eclipse.jface.preference.IPreferenceStore
`addPropertyChangeListener, contains, firePropertyChangeEvent, getBoolean, getDefaultBoolean, getDefaultDouble, getDefaultFloat, getDefaultInt, getDefaultLong, getDefaultString, getDouble, getFloat, getInt, getLong, getString, isDefault, needsSaving, putValue, removePropertyChangeListener, setDefault, setDefault, setDefault, setDefault, setDefault, setDefault, setToDefault, setValue, setValue, setValue, setValue, setValue, setValue`

Method Detail

### save

    public void save()
              throws IOException

  Saves the non-default-valued preferences known to this preference store to the file from which they were originally loaded.

  Throws:
    `IOException` - if there is a problem saving this store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.